--- Portfile.orig	2008-08-17 06:47:04.000000000 +0200
+++ Portfile	2008-08-17 06:52:23.000000000 +0200
@@ -1,65 +1,57 @@
 # $Id: Portfile 38755 2008-07-30 09:45:20Z ryandesign@macports.org $
+
 PortSystem 1.0
-name		ncbi_tools
-version         20070826
-description	blast is a set of tools for doing nucleotide and protein searches
-maintainers	michael.thon@yahoo.com
-categories	science
-platforms	darwin 
-homepage	http://www.ncbi.nlm.nih.gov/blast/
-fetch.use_epsv	no
-master_sites	ftp://ftp.ncbi.nlm.nih.gov/toolbox/ncbi_tools/old/20070822
+
+name            ncbi_tools
+version         20080302
+description     blast is a set of tools for doing nucleotide and protein searches
+maintainers     mike.thon@gmail.com
+categories      science
+platforms       darwin
+homepage        http://www.ncbi.nlm.nih.gov/blast/
+fetch.use_epsv  no
+master_sites    ftp://ftp.ncbi.nlm.nih.gov/toolbox/ncbi_tools/old/20080302
 distfiles       ncbi.tar.gz
-checksums       md5 c17f7b08c12823e4320661894110dcb1
+checksums       md5 f8de9d7264aed7de1d87d2185df2e07c
 dist_subdir     ${name}/${version}
-worksrcdir      
+worksrcdir
 use_configure   no
 build.cmd       './ncbi/make/makedis.csh'
 build.target
-set binaries    "Psequin          blastclust       findspl          psiblast.REAL \
-asn2ff           blastpgp         formatdb         psiblast_cs.REAL \
-asn2gb           cdscan           formatrpsdb      rpsblast \
-asn2idx          checksub         gene2xml         sbtedit \
-asn2xml          copymat          getmesh          seedtop \
-asndhuff         ddv              getpub           seqtest \
-asntool          debruijn         gil2bin          tbl2asn \
-bl2bag.cgi       demo_regexp      idfetch          test_regexp \
-bl2seq           demo_regexp_grep impala           testcore \
-blast            dosimple         indexpub         testobj \
-blast.REAL       entrcmd          makemat          testval \
-blast_cs.REAL    entrez2          makeset          udv \
-blastall         errhdr           megablast        vecscreen \
-blastall_old     fa2htgs          ncbisort         wblast2.REAL \
-blastcl3         fastacmd         nph-viewgif.cgi  wblast2_cs.REAL"
-
-set manpages    " Nentrez.1       blastall_old.1  findspl.1       makeset.1 \
-Psequin.1       blastcl3.1      fmerge.1        megablast.1 \
-asn2all.1       blastclust.1    formatdb.1      netentcf.1 \
-asn2asn.1       blastpgp.1      formatrpsdb.1   nps2gps.1 \
-asn2ff.1        cdscan.1        gbseqget.1      rpsblast.1 \
-asn2fsa.1       checksub.1      gene2xml.1      sbtedit.1 \
-asn2gb.1        cleanasn.1      getfeat.1       seedtop.1 \
-asn2idx.1       copymat.1       getmesh.1       sortbyquote.1 \
-asn2xml.1       ddv.1           getpub.1        spidey.1 \
-asndhuff.1      debruijn.1      gil2bin.1       tbl2asn.1 \
-asntool.1       entrcmd.1       idfetch.1       trna2sap.1 \
-asnval.1        entrez2.1       impala.1        trna2tbl.1 \
-bl2seq.1        errhdr.1        indexpub.1      udv.1 \
-blast.1         fa2htgs.1       insdseqget.1    vecscreen.1 \
-blastall.1      fastacmd.1      makemat.1"
+set binaries    "Psequin          blastall         dosimple         gil2bin          sbtedit \
+asn2ff           blastall_old     entrcmd          idfetch          seedtop \
+asn2gb           blastcl3         entrez2          impala           seqtest \
+asn2idx          blastclust       errhdr           indexpub         tbl2asn \
+asn2xml          blastpgp         fa2htgs          makemat          test_regexp \
+asndhuff         cdscan           fastacmd         makeset          testcore \
+asntool          checksub         findspl          megablast        testobj \
+bl2bag.cgi       copymat          formatdb         ncbisort         testval \
+bl2seq           ddv              formatrpsdb      nph-viewgif.cgi  udv \
+blast            debruijn         gene2xml         psiblast.REAL    vecscreen \
+blast.REAL       demo_regexp      getmesh          psiblast_cs.REAL wblast2.REAL \
+blast_cs.REAL    demo_regexp_grep getpub           rpsblast         wblast2_cs.REAL"
 
+set manpages    "Psequin.1       asnval.1        cleanasn.1      formatdb.1      insdseqget.1    tbl2asn.1 \
+asn2all.1       bl2seq.1        copymat.1       formatrpsdb.1   makemat.1       trna2sap.1 \
+asn2asn.1       blast.1         ddv.1           gbseqget.1      makeset.1       trna2tbl.1 \
+asn2ff.1        blastall.1      debruijn.1      gene2xml.1      megablast.1     udv.1 \
+asn2fsa.1       blastall_old.1  entrez2.1       getmesh.1       nps2gps.1       vecscreen.1 \
+asn2gb.1        blastcl3.1      errhdr.1        getpub.1        rpsblast.1 \
+asn2idx.1       blastclust.1    fa2htgs.1       gil2bin.1       sbtedit.1 \
+asn2xml.1       blastpgp.1      fastacmd.1      idfetch.1       seedtop.1 \
+asndhuff.1      cdscan.1        findspl.1       impala.1        sortbyquote.1 \
+asntool.1       checksub.1      fmerge.1        indexpub.1      spidey.1"
 
 destroot {
-	xinstall -d 755 ${destroot}${prefix}/share/doc/${name}
-	file copy ${worksrcpath}/ncbi/doc ${destroot}${prefix}/share/doc/${name}
-	foreach binary ${binaries} {
-		xinstall -m 755 ${worksrcpath}/ncbi/bin/${binary} ${destroot}${prefix}/bin/ 
-	}
-	foreach manpage ${manpages} {
-		xinstall -m 444 ${worksrcpath}/ncbi/doc/man/${manpage} ${destroot}${prefix}/share/man/man1/ 
-	}
+    xinstall -m 755 -d  ${destroot}${prefix}/share/doc/${name}
+    file copy ${worksrcpath}/ncbi/doc ${destroot}${prefix}/share/doc/${name}
+    foreach binary ${binaries} {
+        xinstall -m 755 ${worksrcpath}/ncbi/bin/${binary} ${destroot}${prefix}/bin/
+    }
+    foreach manpage ${manpages} {
+        xinstall -m 444 ${worksrcpath}/ncbi/doc/man/${manpage} ${destroot}${prefix}/share/man/man1/
+    }
 }
 
-long_description	${description}
-livecheck.check		moddate
-
+long_description    ${description}
+livecheck.check     moddate