--- configure	2008-12-13 06:13:52.000000000 -0800
+++ configure.universalarch	2009-07-27 09:38:10.000000000 -0700
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 67228 .
+# From configure.in Revision: 67732 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for python 2.5.
 #
@@ -657,6 +657,7 @@
 SOVERSION
 CONFIG_ARGS
 UNIVERSALSDK
+UNIVERSALARCHS
 PYTHONFRAMEWORK
 PYTHONFRAMEWORKDIR
 PYTHONFRAMEWORKPREFIX
@@ -1314,6 +1315,9 @@
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
   --enable-universalsdk[=SDKDIR]
                           Build agains Mac OS X 10.4u SDK (ppc/i386)
+  --enable-universalarchs[=ARCHS]
+                          Build using specific architectures for the OS X
+                          Universal build
   --enable-framework[=INSTALLDIR]
                           Build (MacOSX|Darwin) framework
   --enable-shared         disable/enable building shared python library
@@ -1879,6 +1883,23 @@
 
 
 
+# Check whether --enable-universalarchs was given.
+if test "${enable_universalarchs+set}" = set; then
+  enableval=$enable_universalarchs;
+    case $enableval in
+    *)
+        UNIVERSALARCHS=$enableval
+        ;;
+    esac
+
+else
+
+    UNIVERSALARCHS="ppc i386"
+
+fi
+
+
+
 # Check whether --enable-framework was given.
 if test "${enable_framework+set}" = set; then
   enableval=$enable_framework;
@@ -3752,7 +3773,7 @@
   { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 fi
-rm -f conftest*
+rm -f -r conftest*
 


@@ -5128,7 +5152,7 @@
 else
   ac_cv_header_stdc=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -5149,7 +5173,7 @@
 else
   ac_cv_header_stdc=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -6242,7 +6266,7 @@
 
 
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 { echo "$as_me:$LINENO: result: $was_it_defined" >&5
 echo "${ECHO_T}$was_it_defined" >&6; }
@@ -6772,7 +6796,7 @@
 else
   ac_cv_type_uid_t=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 { echo "$as_me:$LINENO: result: $ac_cv_type_uid_t" >&5
@@ -11524,7 +11548,10 @@
 		if test ${MACOSX_DEPLOYMENT_TARGET-${cur_target}} '>' 10.2
 		then
 			if test "${enable_universalsdk}"; then
-				LDFLAGS="-arch i386 -arch ppc -isysroot ${UNIVERSALSDK} ${LDFLAGS}"
+                for ARCH in ${UNIVERSALARCHS}; do
+                    LDFLAGS="${LDFLAGS} -arch ${ARCH} "
+                done
+			    LDFLAGS="${LDFLAGS} -isysroot ${UNIVERSALSDK} ${LDFLAGS}"
 			fi
 			LDSHARED='$(CC) $(LDFLAGS) -bundle -undefined dynamic_lookup'
 			BLDSHARED="$LDSHARED"
@@ -12607,7 +12634,7 @@
 else
   unistd_defines_pthreads=no
 fi
-rm -f conftest*
+rm -f -r conftest*
 
     { echo "$as_me:$LINENO: result: $unistd_defines_pthreads" >&5
 echo "${ECHO_T}$unistd_defines_pthreads" >&6; }
@@ -14221,7 +14248,7 @@
   $EGREP "yes" >/dev/null 2>&1; then
   ipv6type=$i
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 			;;
 		kame)
@@ -14244,7 +14271,7 @@
 				ipv6libdir=/usr/local/v6/lib
 				ipv6trylibc=yes
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 			;;
 		linux-glibc)
@@ -14265,7 +14292,7 @@
   ipv6type=$i;
 				ipv6trylibc=yes
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 			;;
 		linux-inet6)
@@ -14303,7 +14330,7 @@
 				ipv6lib=inet6;
 				ipv6libdir=/usr/local/v6/lib
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 			;;
 		v6d)
@@ -14326,7 +14353,7 @@
 				ipv6libdir=/usr/local/v6/lib;
 				BASECFLAGS="-I/usr/local/v6/include $BASECFLAGS"
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 			;;
 		zeta)
@@ -14348,7 +14375,7 @@
 				ipv6lib=inet6;
 				ipv6libdir=/usr/local/v6/lib
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 			;;
 		esac
@@ -21179,7 +21206,7 @@
 _ACEOF
 
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -21378,7 +21405,7 @@
 _ACEOF
 
 fi
-rm -f conftest*
+rm -f -r conftest*
 
 fi
 
@@ -23272,6 +23299,7 @@
 SOVERSION!$SOVERSION$ac_delim
 CONFIG_ARGS!$CONFIG_ARGS$ac_delim
 UNIVERSALSDK!$UNIVERSALSDK$ac_delim
+UNIVERSALARCHS!$UNIVERSALARCHS$ac_delim
 PYTHONFRAMEWORK!$PYTHONFRAMEWORK$ac_delim
 PYTHONFRAMEWORKDIR!$PYTHONFRAMEWORKDIR$ac_delim
 PYTHONFRAMEWORKPREFIX!$PYTHONFRAMEWORKPREFIX$ac_delim
@@ -23327,7 +23355,6 @@
 CFLAGSFORSHARED!$CFLAGSFORSHARED$ac_delim
 SHLIBS!$SHLIBS$ac_delim
 USE_SIGNAL_MODULE!$USE_SIGNAL_MODULE$ac_delim
-SIGNAL_OBJS!$SIGNAL_OBJS$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -23369,6 +23396,7 @@
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+SIGNAL_OBJS!$SIGNAL_OBJS$ac_delim
 USE_THREAD_MODULE!$USE_THREAD_MODULE$ac_delim
 LDLAST!$LDLAST$ac_delim
 THREADOBJ!$THREADOBJ$ac_delim
@@ -23390,7 +23418,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 19; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 20; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
--- Makefile.pre.in.orig	2009-07-27 09:49:37.000000000 -0700
+++ Makefile.pre.in	2009-07-27 09:49:23.000000000 -0700
@@ -112,6 +112,8 @@
 
 # Short name and location for Mac OS X Python framework
 UNIVERSALSDK=@UNIVERSALSDK@
+# Archs for Universal binaries
+UNIVERSALARCHS=@UNIVERSALARCHS@
 PYTHONFRAMEWORK=	@PYTHONFRAMEWORK@
 PYTHONFRAMEWORKDIR=	@PYTHONFRAMEWORKDIR@
 PYTHONFRAMEWORKPREFIX=	@PYTHONFRAMEWORKPREFIX@
@@ -387,7 +389,15 @@
                 $(RESSRCDIR)/English.lproj/InfoPlist.strings
 	$(INSTALL) -d -m $(DIRMODE) $(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)
 	if test "${UNIVERSALSDK}"; then \
-		$(CC) -o $(LDLIBRARY) -arch i386 -arch ppc -dynamiclib \
+        if test "${UNIVERSALARCHS}"; then \
+            for ARCH in "${UNIVERSALARCHS}"; \
+            do \
+                ARCHS="${ARCHS} -arch ${ARCH}" \
+            done \
+        else \
+            ARCHS="-arch i386 -arch ppc" \
+        fi \
+		$(CC) -o $(LDLIBRARY) ${ARCHS} -dynamiclib \
 			-isysroot "${UNIVERSALSDK}" \
 			-all_load $(LIBRARY) -Wl,-single_module \
 			-install_name $(DESTDIR)$(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/Python \
--- configure	2009-07-27 11:44:17.000000000 -0700
+++ /tmp/py25-configure	2009-07-27 11:20:22.000000000 -0700
@@ -4557,7 +4557,10 @@
 	Darwin*)
 	    BASECFLAGS="$BASECFLAGS -Wno-long-double -no-cpp-precomp -mno-fused-madd"
 	    if test "${enable_universalsdk}"; then
-		BASECFLAGS="-arch ppc -arch i386 -isysroot ${UNIVERSALSDK} ${BASECFLAGS}"
+            for ARCH in ${UNIVERSALARCHS}; do
+                BASECFLAGS="${BASECFLAGS} -arch ${ARCH} "
+            done
+		    BASECFLAGS="${BASECFLAGS} -isysroot ${UNIVERSALSDK} ${BASECFLAGS}"
 	    fi
 
 	    ;;