Index: files/patch-configure.diff
===================================================================
--- files/patch-configure.diff	(revision 39880)
+++ files/patch-configure.diff	(working copy)
@@ -1,6 +1,6 @@
---- configure.orig	2007-07-18 19:32:24.000000000 -0400
-+++ configure	2007-07-18 20:12:02.000000000 -0400
-@@ -79,28 +79,29 @@
+--- configure	2008-01-29 17:23:04.000000000 -0600
++++ configure	2008-09-10 15:51:19.000000000 -0500
+@@ -79,28 +79,7 @@
  # If it wasn't found, then prompt for it.
  if (test $found -eq 0) then
    echo 'ERROR: perl not found or the incorrect version found';
@@ -27,50 +27,23 @@
 -    fi
 -  done
 +  exit 1;
-+#  while (test 1 -eq 1) 
-+#    do echo 'Enter location of perl executable:';
-+#    read perlexe;
-+#    if (test -x "$perlexe") then
-+#      if (test -n "`$perlexe -v 2> /dev/null | awk '/This is perl/ {print $0}'`")       then
-+#        ver=`$perlexe -v 2> /dev/null | awk '/This is perl,/ {print $4}'`;
-+#        if (test "$ver" '<' "v5.8.0") then 
-+#          echo "This version of Perl is too old, 5.8.0 or older needed";
-+#        else	  
-+#          echo "Correct version found";
-+#          echo "#!${d}perl -wT" > ./config.tmp;
-+#          echo "#!${d}perl" > ./config2.tmp;
-+#          found=1; 
-+#          break; 
-+#        fi;
-+#      else
-+#        echo "Perl found, but is not working.  Try another";
-+#      fi;
-+#    else
-+#      echo "file not found";
-+#    fi
-+#  done
  fi
  
  # Check if this version of Perl supports large files
-@@ -109,9 +110,9 @@
+@@ -109,9 +88,6 @@
    echo '    NOTE: It appears that your Perl does not support large files.';
    echo '    You therefore will not be able to analyze images larger than 2GB.';
    echo '    Download the source version from www.cpan.org and compile a new version.';
 -  echo "  [Press Enter to Continue]";
 -  read foo;
 -  echo ''
-+#  echo "  [Press Enter to Continue]";
-+#  read foo;
-+#  echo ''
  fi;
  
  # Get current working directory for lib
-@@ -239,19 +240,19 @@
- done
- 
+@@ -240,16 +216,7 @@
  # Prompt if not found
--if (test $found -eq 0) then
--  echo 'ERROR: grep utility not found';
+ if (test $found -eq 0) then
+   echo 'ERROR: grep utility not found';
 -  echo 'Enter location of executable:';
 -  while (test 1 -eq 1) 
 -    do read grepexe;
@@ -81,72 +54,39 @@
 -      echo 'grep was not found (try again):';
 -    fi;
 -  done
--fi
-+#if (test $found -eq 0) then
-+#  echo 'ERROR: grep utility not found';
-+#  echo 'Enter location of executable:';
-+#  while (test 1 -eq 1) 
-+#    do read grepexe;
-+#    if (test -x "$grepexe") then
-+#	  echo \$GREP_EXE = \'$grepexe\'\; >> $conf; 
-+#      break;
-+#    else
-+#      echo 'grep was not found (try again):';
-+#    fi;
-+#  done
-+#fi
++  exit 1;
+ fi
  
  
+@@ -372,26 +339,7 @@
  
-@@ -270,26 +271,30 @@
- echo 'Autopsy uses forensic tools from The Sleuth Kit.' 
- echo '          http://www.sleuthkit.org/sleuthkit/'
- echo ''
--echo 'Enter the directory where you installed it:'
--while (test 1 -eq 1) 
--  do read tskdir;
--  if (test -x "${tskdir}/bin/icat") then
--    if (test -x "${tskdir}/bin/fls") then
-+#echo 'Enter the directory where you installed it:'
-+#while (test 1 -eq 1) 
-+#  do read tskdir;
-+#  if (test -x "${tskdir}/bin/icat") then
-+#    if (test -x "${tskdir}/bin/fls") then
-+#      echo '  Sleuth Kit bin directory was found';
-+#      echo \$TSKDIR = \'${tskdir}/bin\'\; >> $conf;
-+#      break;
-+#    else
-+#      echo 'The Sleuth Kit was not fully found (did you give me a TCT or TASK directory?) (try again):';
-+#    fi
-+#  else
-+#    echo 'The Sleuth Kit was not found (try again):';
-+#  fi;
-+#done
-+found=0
-+for d in $dirs
-+  do if (test -x ${d}icat) then
-+    if (test -x ${d}fls) then
-       echo '  Sleuth Kit bin directory was found';
--      echo \$TSKDIR = \'${tskdir}/bin\'\; >> $conf;
+ if (test $found -eq 0) then
+   echo 'Sleuth Kit tools were not found in the standard install locations.'
+-  echo 'If you have not installed them, do so now and configure autopsy again.'
+-  echo 'If you have installed them in a non-standard location, then'
+-  echo '  enter the "bin" directory now:'
+-
+-  while (test 1 -eq 1) 
+-    do read tskdir;
+-    if ((test -x ${tskdir}/fls) && (test -x ${tskdir}/ffind) && (test -x ${tskdir}/dstat) && \
+-          (test -x ${tskdir}/dls) && (test -x ${tskdir}/dcat) && \
+-          (test -x ${tskdir}/mmls) && (test -x ${tskdir}/mmstat) && \
+-          (test -x ${tskdir}/fsstat) && (test -x ${tskdir}/img_stat) && \
+-          (test -x ${tskdir}/istat) && (test -x ${tskdir}/ifind) && \
+-          (test -x ${tskdir}/icat) && (test -x ${tskdir}/ils) && \
+-          (test -x ${tskdir}/srch_strings) && \
+-          (test -x ${tskdir}/mactime) && (test -x ${tskdir}/sorter)) then
+-      echo \$TSKDIR = \'${tskdir}\'\; >> $conf;
 -      break;
 -    else
--      echo 'The Sleuth Kit was not fully found (did you give me a TCT or TASK directory?) (try again):';
--    fi
--  else
--    echo 'The Sleuth Kit was not found (try again):';
--  fi;
--done
--
--
-+      echo \$TSKDIR = \'${d}\'\; >> $conf;
- # Test for latest version
+-      echo 'TSK tools were not found or incomplete (try again):';
+-    fi;
+-  done
++  exit 1;
+ fi;
  
--ver=`"${tskdir}/bin/fls" -V | awk '/The Sleuth Kit ver / {print $5}'`;
-+      ver=`"${d}fls" -V | awk '/The Sleuth Kit ver / {print $5}'`;
- echo "  Version $ver found";
- 
- 
-@@ -299,19 +304,20 @@
+ # Test for latest version
+@@ -405,9 +353,6 @@
  elif (test "$ver" '<' "$curtskver") then 
  	echo '';
      echo "*** NOTE: A more recent version ($curtskver) of The Sleuth Kit Exists ***"
@@ -156,62 +96,11 @@
  else
  	echo '  Required version found';
  fi
-+      break;
-+    fi;
-+  fi;
-+done
- 
- 
- # Check that file exists in TSK and if not then use the local
- # version
--if (test -x "${tskdir}/bin/file") then
--  echo \$FILE_EXE = \'${tskdir}/bin/file\'\; >> $conf; 
--else
-+#if (test -x "${tskdir}/bin/file") then
-+#  echo \$FILE_EXE = \'${tskdir}/bin/file\'\; >> $conf; 
-+#else
- 
- echo ''
- echo '---------------------------------------------------------------'
-@@ -329,20 +335,20 @@
- done
- 
- # Prompt if not found
--if (test $found -eq 0) then
--  echo 'ERROR: file utility not found';
--  echo 'Enter location of executable:';
--  while (test 1 -eq 1) 
--    do read fileexe;
--    if (test -x "$fileexe") then
--	  echo \$FILE_EXE = \'$fileexe\'\; >> $conf; 
--      break;
--    else
--      echo 'file was not found (try again):';
--    fi;
--  done
--fi
--fi
-+#if (test $found -eq 0) then
-+#  echo 'ERROR: file utility not found';
-+#  echo 'Enter location of executable:';
-+#  while (test 1 -eq 1) 
-+#    do read fileexe;
-+#    if (test -x "$fileexe") then
-+#	  echo \$FILE_EXE = \'$fileexe\'\; >> $conf; 
-+#      break;
-+#    else
-+#      echo 'file was not found (try again):';
-+#    fi;
-+#  done
-+#fi
-+#fi
- 
- 
- # NSRL
-@@ -353,43 +359,43 @@
+@@ -421,44 +366,7 @@
+ echo 'The NIST National Software Reference Library (NSRL) contains'
  echo 'hash values of known good and bad files.'
  echo '         http://www.nsrl.nist.gov'
- echo ''
+-echo ''
 -echo 'Have you purchased or downloaded a copy of the NSRL (y/n) [n]'
 -read rep;
 -if (test "$rep" = "y") then
@@ -235,7 +124,7 @@
 -        if (test "$rep" = "y") then
 -          echo ''
 -          echo '-------------- begin hfind output --------------'
--          "${tskdir}/bin/hfind" -i nsrl-md5 "${nsrldir}/NSRLFile.txt";
+-          "${tskdir}/hfind" -i nsrl-md5 "${nsrldir}/NSRLFile.txt";
 -          echo '--------------- end hfind output ---------------'
 -          echo ''
 -		fi;
@@ -247,53 +136,18 @@
 -    fi;
 -  done
 -else
-+#echo 'Have you purchased or downloaded a copy of the NSRL (y/n) [n]'
-+#read rep;
-+#if (test "$rep" = "y") then
-+#
-+#  echo 'Enter the directory where you installed it:'
-+#  while (test 1 -eq 1) 
-+#    do read nsrldir;
-+#    if (test "$nsrldir" = "cancel") then
-+#        echo \$NSRLDB = \'\'\; >> $conf;
-+#		break;
-+#	fi;
-+#    if (test -f "${nsrldir}/NSRLFile.txt") then
-+#      echo '  NSRL database was found (NSRLFile.txt)';
-+#      echo \$NSRLDB = \'${nsrldir}/NSRLFile.txt\'\; >> $conf;
-+#
-+#	  if (test -f "${nsrldir}/NSRLFile.txt-md5.idx") then
-+#		echo '  NSRL Index file found (NSRLFile.txt-md5.idx)';
-+#      else
-+#        echo '  NSRL Index file not found, do you want it created? (y/n) [n]:'
-+#        read rep;
-+#        if (test "$rep" = "y") then
-+#          echo ''
-+#          echo '-------------- begin hfind output --------------'
-+#          "${tskdir}/bin/hfind" -i nsrl-md5 "${nsrldir}/NSRLFile.txt";
-+#          echo '--------------- end hfind output ---------------'
-+#          echo ''
-+#		fi;
-+#	  fi;
-+#      break;
-+#    else
-+#      echo 'The NSRL was not found (the directory should have NSRLFile.txt in it)';
-+#	  echo 'Enter a new directory (or cancel to stop):';
-+#    fi;
-+#  done
-+#else
    echo \$NSRLDB = \'\'\; >> $conf;
 -fi;
-+#fi;
  
  #############################################################################
  # EVIDENCE LOCKER
-@@ -402,7 +408,8 @@
- echo 'Evidence Locker directory.'
+@@ -469,9 +377,7 @@
  echo ''
- echo 'Enter the directory that you want to use for the Evidence Locker:';
+ echo 'Autopsy saves configuration files, audit logs, and output to the'
+ echo 'Evidence Locker directory.'
+-echo ''
+-echo 'Enter the directory that you want to use for the Evidence Locker:';
 -read locker;
-+#read locker;
 +locker='MP_AUTOPSY_LOCKER'
  if (test -d "${locker}") then
    echo "  $locker already exists"
Index: Portfile
===================================================================
--- Portfile	(revision 39880)
+++ Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem 1.0
 
 name            autopsy
-version         2.08
+version         2.10
 categories      sysutils
 maintainers     ecronin
 platforms       darwin
@@ -20,8 +20,9 @@
     deleted data and file system structures.
 master_sites    sourceforge
 homepage        http://www.sleuthkit.org/autopsy/
-checksums       sha1 a9a1234393afd50b3609575a906fa0b387efe4b9 \
-                md5 0ac9db9acf66742f8f01f3d8b0cf2f90
+checksums       md5 e0e22c3d39211696925f4ec9f0c74cae \
+                sha1 fe4ec800162580c6b642d3a7a212ec133a33a0d0 \
+                rmd160 01056cc888ea5a8d83d11c32d4013275d600694d
 livecheck.version   ${name}-${version}
 patchfiles      patch-configure.diff
 use_configure   no